---
# Deployment
apiVersion: apps/v1
kind: Deployment
metadata:
  name: deployment-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}
  annotations:
    app.gitlab.com/app: ${CI_PROJECT_PATH_SLUG}
    app.gitlab.com/env: ${CI_ENVIRONMENT_SLUG}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ${CI_PROJECT_NAME}
  template:
    metadata:
      labels:
        app: ${CI_PROJECT_NAME}
      annotations:
        app.gitlab.com/app: ${CI_PROJECT_PATH_SLUG}
        app.gitlab.com/env: ${CI_ENVIRONMENT_SLUG}
    spec:
      containers:
        - name: ${CI_PROJECT_NAME}
          image: ${application_image}
          ports:
            - containerPort: ${CONTAINER_PORT}
          imagePullPolicy: Always
          env:
          - name: FUNCTION_NAME
            value: ${function_name}
          - name: LANG
            value: ${function_lang}
          - name: CONTENT_TYPE
            value: "application/json;charset=UTF-8"
          - name: FUNCTION_CODE
            valueFrom:
              configMapKeyRef:
                name: function.${CI_COMMIT_SHORT_SHA}
                key: ${function_code}
          - name: README
            value: ${readme}

